Skip to main content
GET
/
workspace
/
abbreviations
List of Abbreviations
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/abbreviations \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "find": "<string>",
    "replace": "<string>",
    "timestamp": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    },
    "links": {
      "self": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string
default:find

Available sorts are id, find, replace, created_at, updated_at, -id, -find, -replace, -created_at, -updated_at. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -id.

filter[id]
string
filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[deactivated_before]
string
filter[deactivated_after]
string
filter[deleted_before]
string
filter[deleted_after]
string
filter[trashed]
string

Can be a value of with (response will contain deleted items as well), only (will contain only deleted items), or any arbitrary value (will contain only not deleted items).

filter
string
filter[find]
string

Filter by an exact match of the find field

filter[replace]
string

Filter by an exact match of the replace field

Filter by an partial match of the find field

Filter by an partial match of the replace field

Response

The collection of WorkspaceAbbreviationResponse

id
string
required
Example:

"wsabv_01hq8xyzabc123def456ghi789"

find
string
required

The full length word that will be abbreviated. Each word (separated by a space, comma, etc) will be evaluated separately and concatenated together using a hyphen

Example:

"Infrastructure"

replace
string | null
required

The abbreviated value that will replace the full length word

Example:

"infra"

timestamp
TimestampBasicData · object
required

The timestamps for the abbreviation record

API hyperlinks related to the abbreviation record

Example:
{
"self": "https://ws-a1b2c3.provisionr.io/api/v1/workspace/abbreviations/wsabv_01hq8xyzabc123def456ghi789"
}